---
title: Document.xmlEncoding
slug: Web/API/Document/xmlEncoding
tags:
  - API
  - DOM
  - Document.xmlEncoding
  - MakeBrowserAgnostic
  - Obsolete
  - Property
---
<p>{{APIRef("DOM")}}{{ obsolete_header("10.0") }}</p>

<p>Returns the encoding as determined by the XML declaration. Should be <code>null</code> if unspecified or unknown.</p>

<div class="warning"><strong>Warning:</strong> Do not use this attribute; it has been removed from the DOM Level 4 specification and is no longer supported in Gecko 10.0 {{ geckoRelease("10.0") }}.</div>

<p>If the XML Declaration states:</p>

<pre>&lt;?xml version="1.0" encoding="UTF-16"?&gt;
</pre>

<p>...the result should be "UTF-16".</p>

<p>However, Firefox 3.0 includes information on endianness (e.g., UTF-16BE for big endian encoding), and while this extra information is removed as of Firefox 3.1b3, Firefox 3.1b3 is still consulting the file's encoding, rather than the XML Declaration as the spec defines it ("An attribute specifying, <u><em>as part of the XML declaration</em></u>, the encoding of this document.").</p>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li><a class="external" href="http://www.w3.org/TR/DOM-Level-3-Core/core.html#Document3-encoding" rel="freelink">http://www.w3.org/TR/DOM-Level-3-Cor...ment3-encoding</a></li>
 <li>This has been removed from {{ spec("http://www.w3.org/TR/domcore/","DOM Core Level 4","WD") }}</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>


<p>{{Compat("api.Document.xmlEncoding")}}</p>

